module.exports = {
  description: 'app context generator',
  prompts: [
    {
      type: 'input',
      name: 'name',
      message: 'What is the NAME of your context?',
    },
    {
      type: 'confirm',
      name: 'hasState',
      message: 'This context has STATE?',
    },
    {
      type: 'input',
      name: 'state',
      message: 'What is the STATE of your context?',
      when: inputs => inputs.hasState,
    },
  ],
  actions: ({ hasState }) => {
    const actions = [
      {
        type: 'add',
        path: 'src/hooks/use{{pascalCase name}}.js',
        templateFile: 'plop/templates/context/Hook.js.hbs',
      },
    ];

    // Context with state actions
    if (hasState) {
      return [
        {
          type: 'add',
          path: 'src/contexts/{{pascalCase name}}.js',
          templateFile: 'plop/templates/context/ContextWithState.js.hbs',
        },
        ...actions,
      ];
    }

    // Context without state actions
    return [
      {
        type: 'add',
        path: 'src/contexts/{{pascalCase name}}.js',
        templateFile: 'plop/templates/context/Context.js.hbs',
      },
      ...actions,
    ];
  },
};
