import React from 'react';
import { Text } from 'react-native';
import Touchable from 'react-native-platform-touchable';
import colors from 'theme/colors';
import colorUtils from 'utils/colors';
import styles from './styles';

export default function Button({ text, ...props }) {
  return (
    <Touchable
      style={styles.button}
      {...props}
      background={Touchable.Ripple(colorUtils.hexToRGBA(colors.dark, 0.6))}
    >
      <Text style={styles.textColor}>{text.toUpperCase()}</Text>
    </Touchable>
  );
}
