import React from 'react';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from '@react-navigation/stack';

import { useSession } from 'hooks/useSession';

import Home from './pages/main/Home';
import Login from './pages/auth/Login';

const Stack = createStackNavigator();

export default function Routes() {
  const { token } = useSession();

  return (
    <NavigationContainer>
      <Stack.Navigator screenOptions={{ headerShown: false }}>
        {token ? (
          <Stack.Screen name="home" component={Home} />
        ) : (
          <Stack.Screen name="login" component={Login} />
        )}
      </Stack.Navigator>
    </NavigationContainer>
  );
}
