const isShort = hex => hex.length === 3;

export default {
  hexToRGBA: (color = '#fff', opacity = 1) => {
    const hex = color.replace('#', '');

    if (isShort(hex)) {
      const rgb = hex
        .split('')
        .map(char => parseInt(`${char}${char}`, 16))
        .join(', ');

      return `rgba(${rgb}, ${opacity})`;
    }
    const r = parseInt(hex.substring(0, 2), 16);
    const g = parseInt(hex.substring(2, 4), 16);
    const b = parseInt(hex.substring(4, 6), 16);

    return `rgba(${r}, ${g}, ${b}, ${opacity})`;
  },
};
