import { Dimensions, PixelRatio } from 'react-native';

export default {
  heightPercentageToDP: heightPercent => {
    const screenHeight = Dimensions.get('window').height;
    return PixelRatio.roundToNearestPixel(
      (screenHeight * parseFloat(heightPercent)) / 100,
    );
  },
  widthPercentageToDP: widthPercent => {
    const screenHeight = Dimensions.get('window').width;
    return PixelRatio.roundToNearestPixel(
      (screenHeight * parseFloat(widthPercent)) / 100,
    );
  },
};
