import AsyncStorage from '@react-native-community/async-storage';

export default {
  store: async (key, value) => {
    try {
      await AsyncStorage.setItem(key, JSON.stringify(value));

      return true;
    } catch (err) {
      return false;
    }
  },
  get: async key => {
    const data = await AsyncStorage.getItem(key);

    try {
      return JSON.parse(data);
    } catch (err) {
      return data;
    }
  },
  delete: async key => {
    try {
      await AsyncStorage.removeItem(key);

      return true;
    } catch (err) {
      return false;
    }
  },
};
